#version 330 compatibility

out vec2 lightCoord;
out vec4 vertexColor;
out float vertexDistance;

void main() {
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	lightCoord = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
	vertexColor = gl_Color*vec4(0, 0, 0, 1-gl_Vertex.y/10);
	vertexDistance = length((gl_ModelViewMatrix * gl_Vertex).xyz);
}